<div class="pt-1 w-auto h-auto">
  <p-card>
    <div class="col-8 md:col-12 lg:col-8">
      <div class="flex flex-row flex-wrap">
        <div class="flex align-items-center justify-content-center m-2 mt-0">
          <p-tag><i class="fab fa-angellist align-items-center" style="font-size: 2rem;"></i>
            <p class="text-sm align-items-center m-2 font-bold"> Helpdesk</p>
          </p-tag>
        </div>
        <div class="flex align-items-center justify-content-center m-2 mt-0">
          <!-- <button
                pButton
                type="button"
                [disabled]="!validateForm"
                class="button-success"
                (click)="onSearch()" icon="pi pi-search" label ="ค้นหา">
              </button> -->
        </div>
      </div>
    </div>

    <div class="table-header">
      <div class="grid">
        <div class="col">
          <div class="flex justify-content-start">
            <span class="text-center justify-content-center pt-2"><i class="pi pi-chart-bar"></i>
              ศูนย์ความช่วยเหลือ</span>
          </div>
        </div>

        <div class="col">
          <div class="flex justify-content-end">
            <span class="p-input-icon-right mr-3">
              <i class="pi pi-search"></i>
              <input pInputText class="p-inputtext-sm" type="text"
                (input)="dt.filterGlobal($event.target.value, 'contains')" placeholder="ค้นหา..HN,ชื่อ,รพ." />
            </span>
            <!-- <button type="button" pButton pRipple icon="pi pi-file-excel" (click)="exportExcel3()" class="p-button-success mr-2 p-1"  pTooltip="XLS" tooltipPosition="bottom"></button> -->
          </div>
        </div>
      </div>
    </div>

    <p-table #dt id="dt" [value]="rowsData" [(selection)]="selectedRowsData" dataKey="id"
      styleClass="p-datatable-gridlines" [rowHover]="true" [rows]="50" [showCurrentPageReport]="true"
      [rowsPerPageOptions]="[10,25,50,100]" [loading]="loading" [paginator]="true"
      currentPageReportTemplate="แสดง {first} จาก {last} ทั้งหมด {totalRecords} รายการ" [filterDelay]="0"
      [globalFilterFields]="['refer_no','cid','fullname']" responsiveLayout="scroll" paginatorPosition="bottom"
      [scrollable]="true" scrollHeight="{{scrollHeight}}" [virtualRowHeight]="6" [style]="ptableStyle"
      frozenColumns="10" selectionMode="single" dblClickSelect="false" (onRowSelect)="onRowSelect($event)">

      <ng-template pTemplate="header">

        <tr>
          <th class="text-center" style='flex: 0 0 100px;'>#</th>
          <th class="text-center" style='flex: 0 0 250px;'>วันที่</th>
          <th class="text-center" style='flex: 0 0 500px;'>ปัญหา</th>
          <th class="text-center" style='flex: 0 0 250px;'>ผู้แจ้ง</th>
          <th class="text-center" style='flex: 0 0 350px;'>ผลดำเนินการ</th>
        </tr>

      </ng-template>
      <ng-template pTemplate="body" ngFor let-item let-i="index">
        <tr class="p-selectable-row">
          <td class="p-column-title" style='flex: 0 0 100px;'>
            <!-- {{ item.refer_no }} -->
          </td>
          <td class="p-column-title" style='flex: 0 0 250px;'>
            <!-- {{ item.cid }} -->
          </td>
          <td class="p-column-title" style='flex: 0 0 500px;'>
            <!-- {{ item.fullname }} -->
          </td>
          <td class="p-column-title" style='flex: 0 0 250px;'>
            <!-- {{ item.age | thaiage}} -->
          </td>
          <td class="p-column-title" style='flex: 0 0 350px;'>
            <!-- {{ item.answer_1 }} -->
          </td>
        </tr>
      </ng-template>
    </p-table>
  </p-card>